.banner-categorias {
  position: relative;
  display: grid;
  grid-template-columns: 40% 50%;
  height: 400px;
  background: url('../../../../../assets/image/banner-categorias.png');
  box-shadow: var(--box-shadow-card-2);
  overflow: hidden;
}

.banner-categorias .titulo {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  padding-left: 30px;
}

.banner-categorias .titulo h2 {
  font-size: 55px;
  text-align: center;
}

.banner-categorias .titulo button {
  width: 30%;
}

.banner-categorias .collage-categorias {
  position: absolute;
  right: 0;
  top: -35%;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(3, 1fr);
  gap: 10px;
  height: 700px;
  width: 700px;
  padding: 10px;
  background: var(--ligth);
  box-shadow: var(--box-shadow-card-1);
  rotate: 45deg;
}

.banner-categorias .collage-categorias figure {
  height: 100%;
  width: 100%;
}

@media (300px < width < 750px) {
  .banner-categorias {
    height: 200px;
    background-size: contain;
  }

  .banner-categorias .titulo {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    padding-left: 30px;
  }

  .banner-categorias .titulo h2 {
    font-size: 25px;
    text-align: center;
  }

  .banner-categorias .collage-categorias {
    right: -45%;
    top: -20%;
    height: 300px;
    width: 300px;
  }

  .banner-categorias .collage-categorias figure {
    height: 100%;
    width: 100%;
  }
}
